Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class TimegraphAdapter

    java.lang.Object
      org.apache.batik.anim.timing.TimegraphAdapter

All Implemented Interfaces:
  TimegraphListener

    public class TimegraphAdapter

extends Object
implements TimegraphListener

An adapter class for `TimegraphListener`s.

Constructor Summary
`TimegraphAdapter()`

Method Summary
`void` | `elementActivated(TimedElement e, float t)` Invoked to indicate that a timed element has become active.
`void` | `elementAdded(TimedElement e)` Invoked to indicate that a timed element has been added to the document.
`void` | `elementDeactivated(TimedElement e, float t)` Invoked to indicate that a timed element has become inactive and is not filling.
`void` | `elementFilled(TimedElement e, float t)` Invoked to indicate that a timed element has become inactive and is filling.
`void` | `elementInstanceTimesChanged(TimedElement e, float isBegin)` Invoked to indicate that the list of instance times for the given timed element has been updated.
`void` | `elementRemoved(TimedElement e)` Invoked to indicate that a timed element has been removed from the document.
`void` | `elementRepeated(TimedElement e, int i, float t)` Invoked to indicate that the given timed element began a repeat iteration at the specified time.
`void` | `intervalBegan(TimedElement e, Interval i)` Invoked to indivate that the given interval began.
`void` | `intervalChanged(TimedElement e, Interval i)` Invoked to indivate that an interval's endpoints were changed.
`void` | `intervalCreated(TimedElement e, Interval i)` Invoked to indivate that an interval was created for the given timed element.
`void` | `intervalRemoved(TimedElement e, Interval i)` Invoked to indivate that an interval was removed for the given timed element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimegraphAdapter

    public TimegraphAdapter()

Method Detail

### elementAdded

    public void elementAdded(TimedElement e)

  Invoked to indicate that a timed element has been added to the document.

  Specified by:
    `elementAdded` in interface `TimegraphListener`

### elementRemoved

    public void elementRemoved(TimedElement e)

  Invoked to indicate that a timed element has been removed from the document.

  Specified by:
    `elementRemoved` in interface `TimegraphListener`

### elementActivated

    public void elementActivated(TimedElement e,
                                 float t)

  Invoked to indicate that a timed element has become active.

  Specified by:
    `elementActivated` in interface `TimegraphListener`
  Parameters:
    `e` - the TimedElement that became active
    `t` - the time (in parent simple time) that the element became active

### elementFilled

    public void elementFilled(TimedElement e,
                              float t)

  Invoked to indicate that a timed element has become inactive and is filling.

  Specified by:
    `elementFilled` in interface `TimegraphListener`

### elementDeactivated

    public void elementDeactivated(TimedElement e,
                                   float t)

  Invoked to indicate that a timed element has become inactive and is not filling.

  Specified by:
    `elementDeactivated` in interface `TimegraphListener`

### intervalCreated

    public void intervalCreated(TimedElement e,
                                Interval i)

  Invoked to indivate that an interval was created for the given timed element.

  Specified by:
    `intervalCreated` in interface `TimegraphListener`

### intervalRemoved

    public void intervalRemoved(TimedElement e,
                                Interval i)

  Invoked to indivate that an interval was removed for the given timed element.

  Specified by:
    `intervalRemoved` in interface `TimegraphListener`

### intervalChanged

    public void intervalChanged(TimedElement e,
                                Interval i)

  Invoked to indivate that an interval's endpoints were changed.

  Specified by:
    `intervalChanged` in interface `TimegraphListener`

### intervalBegan

    public void intervalBegan(TimedElement e,
                              Interval i)

  Invoked to indivate that the given interval began.

  Specified by:
    `intervalBegan` in interface `TimegraphListener`
  Parameters:
    `i` - the Interval that began, or null if no interval is active for the given timed element.

### elementRepeated

    public void elementRepeated(TimedElement e,
                                int i,
                                float t)

  Invoked to indicate that the given timed element began a repeat iteration at the specified time.

  Specified by:
    `elementRepeated` in interface `TimegraphListener`

### elementInstanceTimesChanged

    public void elementInstanceTimesChanged(TimedElement e,
                                            float isBegin)

  Invoked to indicate that the list of instance times for the given timed element has been updated.

  Specified by:
    `elementInstanceTimesChanged` in interface `TimegraphListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.